%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

# Created by pyp2rpm-1.0.0
%global pypi_name rcssmin

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        1%{?dist}
Summary:        CSS Minifier

License:        Apache
URL:            http://opensource.perlig.de/rcssmin/
Source0:        http://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python-devel
%if 0%{?with_python3}
BuildRequires: python3-pkgversion-macros
BuildRequires: python%{python3_pkgversion}-devel
%endif


%description
RCSSmin is a CSS minifier.

The minifier is based on the semantics of the YUI compressor, which itself is
based on the rule list by Isaac Schlueter.

This module is a re-implementation aiming for speed instead of maximum
compression, so it can be used at runtime (rather than during a preprocessing
step). RCSSmin does syntactical compression only (removing spaces, comments and
possibly semicolons). It does not provide semantic compression (like removing
empty blocks, collapsing redundant properties etc). It does, however, support
various CSS hacks (by keeping them working as intended).


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        CSS Minifier

%description -n python%{python3_pkgversion}-%{pypi_name}
RCSSmin is a CSS minifier.

The minifier is based on the semantics of the YUI compressor, which itself is
based on the rule list by Isaac Schlueter.

This module is a re-implementation aiming for speed instead of maximum
compression, so it can be used at runtime (rather than during a preprocessing
step). RCSSmin does syntactical compression only (removing spaces, comments and
possibly semicolons). It does not provide semantic compression (like removing
empty blocks, collapsing redundant properties etc). It does, however, support
various CSS hacks (by keeping them working as intended).
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_docdir}/%{pypi_name}


%check
%{__python} run_tests.py .
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} run_tests.py .
popd
%endif # with_python3


%files
%doc LICENSE docs/BENCHMARKS docs/CHANGES README.rst docs/apidoc
%{python_sitearch}/%{pypi_name}.py*
%{python_sitearch}/_%{pypi_name}.so
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pypi_name}
%doc LICENSE docs/BENCHMARKS docs/CHANGES README.rst docs/apidoc
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/__pycache__/%{pypi_name}.*.py*
%{python3_sitearch}/_%{pypi_name}.*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif


%changelog
* Tue Jun 07 2016 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.6-1
- Initial package.
